

arch/i386/kernel/cpu/common.c: In function `detect_ht':
arch/i386/kernel/cpu/common.c:450: `smp_num_siblings' undeclared (first use in this function)
arch/i386/kernel/cpu/common.c:450: (Each undeclared identifier is reported only once
arch/i386/kernel/cpu/common.c:450: for each function it appears in.)



Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/cpu/common.c |    2 ++
 25-akpm/arch/i386/kernel/cpu/intel.c  |    2 --
 25-akpm/include/asm-i386/processor.h  |    5 +++++
 3 files changed, 7 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/cpu/common.c~i386-count-both-multi-cores-and-smp-siblings-in-fix arch/i386/kernel/cpu/common.c
--- 25/arch/i386/kernel/cpu/common.c~i386-count-both-multi-cores-and-smp-siblings-in-fix	2005-01-10 19:23:08.000000000 -0800
+++ 25-akpm/arch/i386/kernel/cpu/common.c	2005-01-10 19:23:08.165807472 -0800
@@ -437,6 +437,7 @@ void __init dodgy_tsc(void)
 		cpu_devs[X86_VENDOR_CYRIX]->c_init(&boot_cpu_data);
 }
 
+#ifdef CONFIG_X86_HT
 void __init detect_ht(struct cpuinfo_x86 *c)
 {
 	u32 	eax, ebx, ecx, edx;
@@ -478,6 +479,7 @@ void __init detect_ht(struct cpuinfo_x86
 		       phys_proc_id[cpu]);
 	}
 }
+#endif
 
 void __init print_cpu_info(struct cpuinfo_x86 *c)
 {
diff -puN arch/i386/kernel/cpu/intel.c~i386-count-both-multi-cores-and-smp-siblings-in-fix arch/i386/kernel/cpu/intel.c
--- 25/arch/i386/kernel/cpu/intel.c~i386-count-both-multi-cores-and-smp-siblings-in-fix	2005-01-10 19:23:08.000000000 -0800
+++ 25-akpm/arch/i386/kernel/cpu/intel.c	2005-01-10 19:23:08.000000000 -0800
@@ -139,9 +139,7 @@ static void __init init_intel(struct cpu
 	if ( p )
 		strcpy(c->x86_model_id, p);
 	
-#ifdef CONFIG_X86_HT
 	detect_ht(c);
-#endif
 
 	/* Work around errata */
 	Intel_errata_workarounds(c);
diff -puN include/asm-i386/processor.h~i386-count-both-multi-cores-and-smp-siblings-in-fix include/asm-i386/processor.h
--- 25/include/asm-i386/processor.h~i386-count-both-multi-cores-and-smp-siblings-in-fix	2005-01-10 19:23:08.000000000 -0800
+++ 25-akpm/include/asm-i386/processor.h	2005-01-10 19:27:52.949513768 -0800
@@ -104,7 +104,12 @@ extern void identify_cpu(struct cpuinfo_
 extern void print_cpu_info(struct cpuinfo_x86 *);
 extern unsigned int init_intel_cacheinfo(struct cpuinfo_x86 *c);
 extern void dodgy_tsc(void);
+
+#ifdef CONFIG_X86_HT
 extern void detect_ht(struct cpuinfo_x86 *c);
+#else
+static inline void detect_ht(struct cpuinfo_x86 *c) {}
+#endif
 
 /*
  * EFLAGS bits
_
